List Deployment Skills
GET
/api/v1/deployments/{name}/skills
const url = 'https://aura-api-eu.strangeworks.com/api/v1/deployments/example/skills';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://aura-api-eu.strangeworks.com/api/v1/deployments/example/skills \ --header 'Authorization: Bearer <token>'The customer skills this deployment ships, which its projects pull.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”name
required
Name
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
SkillListResponse
object
skills
required
Skills
Array<object>
SkillSummaryobject
description
required
Description
string
files
required
Files
Array<string>
name
required
Name
string
Examplegenerated
{ "skills": [ { "description": "example", "files": [ "example" ], "name": "example" } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}